﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9.801
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
End Sub

Sub Globals		
	Private AdBanner As FBAudienceNetworkBanner
	Private btnLoadBanner As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("banner")
	btnLoadBanner.Enabled = False
	
	' Demo Ad Type Table, check link below for test ads, as I have already provided one for you (IMG_16_9_APP_INSTALL#YOUR_PLACEMENT_ID).
	' https://developers.facebook.com/docs/audience-network/overview/in-house-mediation/server-to-server/testing/#demo-ad-type-table
	' 0, 0 = Country, State - more info https://developers.facebook.com/docs/marketing-apis/data-processing-options#reference
	AdBanner.InitializeBanner("AdBanner", "IMG_16_9_APP_INSTALL#YOUR_PLACEMENT_ID", 0, 0, AdBanner.AD_BANNER_HEIGHT_50)

	
	' height = 50dip for AdFacebook.AD_BANNER_HEIGHT_50
	' height = 90dip for AdFacebook.AD_BANNER_HEIGHT_90
	' height = 250dip for AdFacebook.AD_RECTANGLE_HEIGHT_250
	Activity.AddView(AdBanner, 0, 0, 100%x, 50dip)' height 50dip for AdFacebook.AD_BANNER_HEIGHT_50
	AdBanner.LoadAd
	
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If UserClosed Then
		AdBanner.RemoveView
		AdBanner.DestroyAd
	End If
	' Facebook Audience Network require to use DestroyAd on Activity_Destroy.
	' As B4a don't have that event, we use DestroyAd on Activity_Pause.
	' If you manually finish activity add both method before Activity.Finish
End Sub


Sub btnLoadBanner_Click
	AdBanner.LoadAd
End Sub

Sub AdBanner_AdLoaded
	Log("Ad Loaded fired")
	btnLoadBanner.Enabled = False
End Sub

Sub AdBanner_AdError (Error As String)
	Log(Error)
	btnLoadBanner.Enabled = True
	' This is a common error seen while testing, and relates to a "No Fill" response;
	' the most common reason for this is the user is not logged in to the Facebook App
	' when testing your mobile app.
	' Error list: https://developers.facebook.com/docs/audience-network/guides/test/checklist-errors/
End Sub

Sub AdBanner_AdClicked
	Log("Ad Clicked fired")
End Sub

Sub AdBanner_AdLoggingImpression
	Log("Ad Logging Impression fired")
End Sub




