﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9.801
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
End Sub

Sub Globals
	Private AdInterstitial As FBAudienceNetworkInterstitial
	Private btnLoadAd As Button
	Private bthShowAd As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("Interstitial")
	bthShowAd.Enabled = False
	btnLoadAd.Enabled = False
	
	' Demo Ad Type Table, check link below for test ads, as I have already provided one for you (IMG_16_9_APP_INSTALL#YOUR_PLACEMENT_ID).
	' https://developers.facebook.com/docs/audience-network/overview/in-house-mediation/server-to-server/testing/#demo-ad-type-table
	' 0, 0 = Country, State - more info https://developers.facebook.com/docs/marketing-apis/data-processing-options#reference
	AdInterstitial.InitializeInterstitialAd("AdInterstitial", "IMG_16_9_APP_INSTALL#YOUR_PLACEMENT_ID", 0, 0)
	AdInterstitial.LoadAd	
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If UserClosed Then
		AdInterstitial.DestroyAd
	End If
	' Facebook Audience Network require to use DestroyAd on Activity_Destroy.
	' As B4a don't have that event, we use DestroyAd on Activity_Pause.
	' If you manually finish activity add both method before Activity.Finish
End Sub

Sub bthShowAd_Click
	bthShowAd.Enabled = False
	btnLoadAd.Enabled = True
	
	' Check if Ad is loaded.
	' Check if Ad is already expired or invalidated, and do not show Ad if that is the case. You will not get paid to show an invalidated Ad.
	If AdInterstitial.IsAdLoaded And AdInterstitial.IsAdInvalidated = False Then 
		AdInterstitial.ShowAd
	End If
End Sub

Sub btnLoadAd_Click
	btnLoadAd.Enabled = False
	AdInterstitial.LoadAd
End Sub

Sub AdInterstitial_AdLoaded
	Log("Ad Loaded")
	bthShowAd.Enabled = True
	' Interstitial ad is loaded and ready to be displayed
End Sub

Sub AdInterstitial_AdError (Error As String)
	btnLoadAd.Enabled = True
	Log(Error)
	' This is a common error seen while testing, and relates to a "No Fill" response; 
	' the most common reason for this is the user is not logged in to the Facebook App 
	' when testing your mobile app.
	' Error list: https://developers.facebook.com/docs/audience-network/guides/test/checklist-errors/
End Sub

Sub AdInterstitial_AdClicked
	Log("Ad Clicked")
End Sub

Sub AdInterstitial_AdDismissed
	Log("Ad Dismissed")
	' Interstitial ad dismissed
End Sub

Sub AdInterstitial_AdDisplayed
	Log("Ad Displayed")
	' Interstitial ad displayed
End Sub

Sub AdInterstitial_AdLoggingImpression
	Log("Ad Logging Impression")
	' Interstitial ad impression logged
End Sub


